Map a terminal UserID to an employee (replays parked
curl --request POST \
--url https://app.ontime.hosai.app/api/devices/terminal-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"terminalUserId": 4503599627370495,
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.ontime.hosai.app/api/devices/terminal-users"
payload = {
"terminalUserId": 4503599627370495,
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
terminalUserId: 4503599627370495,
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.ontime.hosai.app/api/devices/terminal-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resolved": 0,
"employeeName": "<string>",
"employeeCode": "<string>"
}Devices
Map a terminal UserID to an employee (replays parked
Map a terminal UserID to an employee (replays parked punches)
POST
/
api
/
devices
/
terminal-users
Map a terminal UserID to an employee (replays parked
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
⌘I